#!/bin/bash

set -e

cwd=$(pwd)
cd test

for py3ver in $(py3versions -vs)
do
    echo "Running tests with Python ${py3ver}."
    /usr/bin/python${py3ver} -B -c "import nose; nose.main()"
done

cd $cwd
